Bug 1130761 - Could not import a VM from export domain with raw sparse disks to a block storage domain
Summary: Could not import a VM from export domain with raw sparse disks to a block sto...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.4.4
Assignee: Tal Nisan
QA Contact: Aharon Canan
URL:
Whiteboard: storage
Depends On: 1129684
Blocks: 1130765 1154674
TreeView+ depends on / blocked
 
Reported: 2014-08-17 12:52 UTC by Tal Nisan
Modified: 2016-02-10 17:15 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.4.4_rc
Doc Type: Bug Fix
Doc Text:
Clone Of: 1129684
: 1130765 (view as bug list)
Environment:
Last Closed: 2014-09-24 08:08:43 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 31522 0 None None None Never
oVirt gerrit 31524 0 None None None Never
oVirt gerrit 31560 0 ovirt-engine-3.4 MERGED core: Remove volume & format check on import VM command Never

Description Tal Nisan 2014-08-17 12:52:17 UTC
Description of problem:
When trying to import a VM that contains a raw sparse disk(s) to a block domain via webadmin the operation fails

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Create a VM with a single thin provision disk on an NFS domain
2. Export the VM to an export domain
3. Import the VM while selecting a block domain as the target domain for disk in the disks sub tab

Actual results:
Operation fails with an error:
Vm1:
Cannot import VM. Disk configuration (RAW Sparse) is incompatible with the storage domain type.

Expected results:
VM will be imported correctly to the domain

Additional info:

Comment 1 Sandro Bonazzola 2014-09-24 08:08:43 UTC
oVirt 3.4.4 has been released.


Note You need to log in before you can comment on or make changes to this bug.